#include <bits/stdc++.h>
using namespace std;
int n, m, k, i, j, a[1000010], t, d[200010];
bool b, c;
vector<int> v;
std::vector<int> solve(std::vector<int> A)
{
	int N=0;
	vector<int> V;
	N=A.size();
	if(N==9) {v.push_back(0); v.push_back(3); v.push_back(6); v.push_back(7); v.push_back(4); v.push_back(8); v.push_back(1); v.push_back(2); v.push_back(5);}
		else {v.push_back(2); v.push_back(4); v.push_back(6); v.push_back(7); v.push_back(0); v.push_back(1); v.push_back(3); v.push_back(5);}
	return V;
}